Subject: Re: [PATCH v5 1/3] test-lib-functions: introduce test_stdout_line_count

From: Junio C Hamano <[email-masked]>
Date: Tue, 06 Jul 2021 12:24:05 -0700

Eric Sunshine <[email-masked]> writes:

> A minor think-out-loud: I wonder if there would be value in deriving
> the name of the output file from the command being run (perhaps by
> using `tr` to translate oddball characters to underscore or to fold
> them out). This might or might not help someone debugging a test
> failure since there would be less chance of "$trashdir/output" being
> repeatedly clobbered.

Probably not.

The iterations of output that are clobbered are all from the passing
call to test_stdout_count_lines helper we made previously.